
export const statusStyle: any = {
  Backlog: '#338fe5',// 未开始
  Pending: '#338fe5',// 待排期
  Todo: '#338fe5',// 待处理

  Doing: '#f0a100',// 处理中
  Deploy: '#f0a100',// 待部署
  Deving: '#f0a100',// 开发中
  ForTest: '#f0a100',// 待测试
  Testing: '#f0a100',// 测试中
  ForRelease: '#f0a100',// 待发布

  Done: '#24b47e',// 已完成
  Closed: '#24b47e',// 已关闭
  Released: '#24b47e',// 已发布

}

export const priorityStyle: any = {
  Highest: {// 最高
    background: 'rgb(230, 52, 34)',
    color: 'rgb(255, 255, 255)'
  },
  High: {// 较高
    background: 'rgb(255, 233, 226)',
    color: 'rgb(255, 106, 57)'
  },
  Medium: {// 普通
    background: 'rgb(224, 236, 251)',
    color: 'rgb(48, 127, 226)'
  },
  Low: {// 较低
    background: 'rgb(217, 244, 237)',
    color: 'rgb(0, 179, 136)'
  },
  Lowest: {// 最低
    background: 'rgb(239, 239, 239)',
    color: 'rgb(144, 144, 144)'
  }
}

export enum LINK_TYPE_ENUM {
  BUG_LINK= 'BUG_LINK',// 缺陷关联
  EG_LINK= 'EG_LINK',// 用例关联
  ISSUE_LINK= 'ISSUE_LINK',// 工作项关联
  PLAN_LINK= 'PLAN_LINK',// 计划关联
  REQUIRE_LINK= 'REQUIRE_LINK',// 需求关联
}

export enum attachmentEnum {
  add= 'add',
  remove= 'remove'
}

export const WideMinWidth = 700;// 宽详情最小宽度
export const NarrowMinWidth = 460;// 窄详情最小宽度
export const TableMinWidth = 320// 表格的最小宽度